This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 507506 - Make pkicreate observe an environment variable for the hostname (IPv6 only)
Make pkicreate observe an environment variable for the hostname (IPv6 only)
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: Installer (pkicreate/pkiremove) (Show other bugs)
1.1
All Linux
high Severity high
: ---
: ---
Assigned To: Matthew Harmsen
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-06-22 23:12 EDT by Jack Magne
Modified: 2015-01-05 20:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:36:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Addition of PKI_HOSTNAME environment variable (2.38 KB, patch)
2009-06-24 19:20 EDT, Matthew Harmsen
no flags Details | Diff
Addition of PKI_HOSTNAME environment variable (dogtag) (981 bytes, patch)
2009-06-24 19:21 EDT, Matthew Harmsen
no flags Details | Diff

  None (edit)
Description Jack Magne 2009-06-22 23:12:13 EDT
Description of problem:


Right now, pkicreate makes use of system and custom routines to calculate the hostname of the CS instance about to be installed. For the purposes of IPV6, we want pkicreate to use the contents of the environment variable "PKI_HOSTNAME" as the host name. This would be entirely optional. In the case of a dual stack machine, the machines /etc/hosts file might have multiple entries, with one being for the IPv6 address. This variable gives us the option to have a CS instance installed using the IPv6 host name.
Comment 1 Matthew Harmsen 2009-06-24 19:20:39 EDT
Created attachment 349315 [details]
Addition of PKI_HOSTNAME environment variable
Comment 2 Matthew Harmsen 2009-06-24 19:21:15 EDT
Created attachment 349316 [details]
Addition of PKI_HOSTNAME environment variable (dogtag)
Comment 3 Jack Magne 2009-06-24 19:28:50 EDT
Attachments (id=349315) (id=349316) +jmagne.
Comment 4 Matthew Harmsen 2009-06-24 19:32:44 EDT
cd pki/base/setup

% svn stat
M      pkicommon

% svn commit
Sending        setup/pkicommon
Transmitting file data .
Committed revision 651.


cd pki/dogtag/setup

% svn stat
M      pki-setup.spec

% svn commit
Sending        setup/pki-setup.spec
Transmitting file data .
Committed revision 652.
Comment 5 Matthew Harmsen 2009-06-24 20:23:00 EDT
Added documentation blurb regarding this to "Bugzilla Bug #488653 -  Add IPv6 support to docs".
Comment 6 Kashyap Chamarthy 2009-07-04 09:10:19 EDT
Verified. CS.cfg observes the variable IPv6 hostname...
=============================

[root@bane logs]# cat /var/lib/pki-ca2/conf/CS.cfg | grep -i bane6
preop.securitydomain.admin_url=https://bane6.dsdev.sjc.redhat.com:9445
machineName=bane6.dsdev.sjc.redhat.com
service.machineName=bane6.dsdev.sjc.redhat.com
preop.cert.sslserver.dn=CN=bane6.dsdev.sjc.redhat.com
preop.name.sslDN=CN=bane6.dsdev.sjc.redhat.com
ca.Policy.rule.AuthInfoAccessExt.ad0_location=http://bane6.dsdev.sjc.redhat.com:8080/ocsp
[root@bane logs]# 
===============================

[root@bane ~]# tail /var/log/pki-ca2-install.log 
[2009-07-04 06:00:20] [debug] Setting selinux context pki_ca_port_t for 17744
[2009-07-04 06:00:24] [debug] Setting selinux context pki_ca_port_t for 17745
[2009-07-04 06:00:28] [debug] Setting 'pki-ca2' runlevel to '-'
[2009-07-04 06:00:28] [debug] Setting 'pki-ca2' start priority to '81'
[2009-07-04 06:00:28] [debug] Setting 'pki-ca2' stop priority to '19'
[2009-07-04 06:00:28] [debug] Registered 'pki-ca2' with '/sbin/chkconfig'.
[2009-07-04 06:00:34] [log] Configuration Wizard listening on
https://bane6.dsdev.sjc.redhat.com:17745/ca/admin/console/config/login?pin=nIMHxEI9OvRC6RSqZP74
[2009-07-04 06:00:34] [log] After configuration, the server can be operated by the command:
/sbin/service pki-ca2 start | stop | restart
[root@bane ~]# 
======================
[root@bane ~]# env 
HOSTNAME=bane.dsdev.sjc.redhat.com
PKI_HOSTNAME=bane6.dsdev.sjc.redhat.com
TERM=xterm
SHELL=/bin/bash
========================
[root@bane ~]# cat /etc/hosts
# Do not remove the following line, or various programs
# that require network functionality will fail.
10.14.1.129	bane.dsdev.sjc.redhat.com   bane
127.0.0.1	localhost.localdomain       localhost
::1		localhost6.localdomain6     localhost6
10.16.0.49	jennyv4.bos.redhat.com	    jennyv4
10.16.0.48	jennyv3.bos.redhat.com      jennyv3
3ffe:1111:2222:2000:250:45ff:fe02:81c6 	  bane6.dsdev.sjc.redhat.com
==============================

Note You need to log in before you can comment on or make changes to this bug.